<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('_JEXEC') or die;

class SmartsubControllerAccounts extends JControllerAdmin
{
	public function __construct($config = array())
	{
		parent::__construct($config);
		$this->text_prefix = 'COM_SMARTSUB_ACCOUNTS';
	}
	
	public function getModel($name = 'Account', $prefix = 'SmartsubModel', $config = array('ignore_request' => true))
	{
		$model = parent::getModel($name, $prefix, $config);

		return $model;
	}

	public function setDefault()
	{
		// Check for request forgeries
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
	
		$pks = $this->input->post->get('cid', array(), 'array');
	
		try
		{
			if (empty($pks))
			{
				throw new Exception(JText::_('COM_SMARTSUB_NO_ACCOUNT_SELECTED'));
			}
	
			JArrayHelper::toInteger($pks);
	
			// Pop off the first element.
			$id = array_shift($pks);
			$model = $this->getModel();
			$model->setDefault($id);
			$this->setMessage(JText::_('COM_SMARTSUB_SUCCESS_DEFAULT_SET'));
		}
		catch (Exception $e)
		{
			JError::raiseWarning(500, $e->getMessage());
		}
	
		$this->setRedirect('index.php?option=com_smartsub&view=accounts');
	}
	
	protected function postDeleteHook(JModelLegacy $model, $ids = null)
	{
	}
}
