<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.installer.installer');

class Com_SmartsubInstallerScript
{
	
	function preflight($type, $parent)
	{
	}
	
    function postflight($type, $parent)
	{
		// Install subextensions
		$status = $this->_installSubextensions($parent);

        // Show the post-installation page
		$this->_renderPostInstallation($status, $parent);

    }

    function uninstall($parent)
	{
		// Uninstall subextensions
		$status = $this->_uninstallSubextensions($parent);

		// Show the post-uninstallation page
		$this->_renderPostUninstallation($status, $parent);
	}

    private function _installSubextensions($parent)
    {
        $db              = JFactory::getDBO();
        $status          = new JObject();
        $status->plugins = array();

        $plugins = array(
        	array('pname' => 'smartsub', 'pgroup' => 'user'),
        	array('pname' => 'offline', 'pgroup' => 'smartsub')
        );
        $src = $parent->getParent()->getPath('source');

        // Plugins
        foreach($plugins as $plugin)
        {
	        $pname = $plugin['pname'];
	        $pgroup = $plugin['pgroup'];
	        $path = $src.'/plugins/'.$pgroup.'/'.$pname;
	        $installer = new JInstaller;
	        $result = $installer->install($path);
	        $status->plugins[] = array('name'=>$pname,'group'=>$pgroup, 'result'=>$result);
	        
	        /* Do not enable plugins by default
	        if(!empty($this->is_new_installation))
	        {
		        $query = "UPDATE #__extensions SET enabled=1 WHERE type='plugin' AND element=".$db->Quote($pname)." AND folder=".$db->Quote($pgroup);
		        $db->setQuery($query);
		        $db->query();
	        }
	        */
        }
        return $status;
    }

	private function _uninstallSubextensions($parent)
    {
        $status = new JObject();
        $status->plugins = array();

        $db = JFactory::getDBO();
        // -- UnInstall Plugins
        $where = array(
        	'(element = '.$db->Quote('smartsub').' AND folder = '.$db->Quote('user').')',
        	'(folder = '.$db->Quote('smartsub').')'
        );
        $where = ' WHERE '.implode (' OR ', $where);

        // simple way to have user profile listed first
        $query   = 'SELECT `extension_id`, `element`, `folder` FROM #__extensions '.$where.' ORDER BY folder DESC, element ASC';
        $db->setQuery($query);
        $plugins = $db->loadObjectList();
        if (count($plugins)) {
	        foreach ($plugins as $plugin) {
	        	$installer = new JInstaller;
		        $result = $installer->uninstall('plugin', $plugin->extension_id, 0);
		        $status->plugins[] = array('name'=>$plugin->element,'group'=>$plugin->folder, 'result'=>$result);
	        }
        }
        return $status;
    }

    private function _renderPostInstallation($status, $parent)
    {
        $rows = 0;
        // Load language file
        $lang = JFactory::getLanguage();
        $lang->load('com_smartsub');
?>
<h2>
	<?php echo JText::_('COM_SMARTSUB_INSTALLATION_STATUS'); ?>
</h2>
<table class="adminlist table table-striped" width="100%">
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('COM_INSTALLER_TYPE_COMPONENT'); ?></th>
			<th width="30%"><?php echo JText::_('JSTATUS'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="3"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="2"><?php echo JText::_('COM_SMARTSUB_XML_DESCRIPTION'); ?>
			</td>
			<td><strong><?php echo 'Installed'; ?> </strong></td>
		</tr>
		<?php if (count($status->plugins)) : ?>
		<tr>
			<th><?php echo JText::_('COM_INSTALLER_TYPE_PLUGIN'); ?></th>
			<th><?php echo 'Group'; ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->plugins as $plugin) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo ucfirst($plugin['name']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['group']); ?></td>
			<td><strong><?php echo ($plugin['result']) ? 'Installed' : 'Not installed'; ?>
			</strong></td>
		</tr>
		<?php endforeach; ?>
		<?php endif; ?>
	</tbody>
</table>

<?php
    }

    private function _renderPostUninstallation($status, $parent)
    {
        $rows = 0;
?>
<h2>
	<?php echo JText::_('COM_SMARTSUB_UNINSTALLATION_STATUS'); ?>
</h2>
<table class="adminlist table table-striped" width="100%">
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('COM_INSTALLER_TYPE_COMPONENT'); ?></th>
			<th width="30%"><?php echo JText::_('JSTATUS'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="3"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="2"><?php echo JText::_('COM_SMARTSUB_XML_DESCRIPTION'); ?>
			</td>
			<td><strong><?php echo 'Removed'; ?> </strong></td>
		</tr>
		<?php if (count($status->plugins)) : ?>
		<tr>
			<th><?php echo JText::_('COM_INSTALLER_TYPE_PLUGIN'); ?></th>
			<th><?php echo 'Group'; ?></th>
			<th></th>
		</tr>
		<?php foreach ($status->plugins as $plugin) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo ucfirst($plugin['name']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['group']); ?></td>
			<td><strong><?php echo ($plugin['result']) ? 'Removed' : 'Not removed'; ?>
			</strong></td>
		</tr>
		<?php endforeach; ?>
		<?php endif; ?>
	</tbody>
</table>
<?php
    }
}
