<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('JPATH_BASE') or die;

JFormHelper::loadFieldClass('usergrouplist');

class JFormFieldGroupListPlus extends JFormFieldUserGroupList
{
	protected $type = 'GroupListPlus';

	protected function getOptions()
	{
		$options = parent::getOptions();
		
		$exclude_groups = isset($this->element['exclude']) ? (string)$this->element['exclude'] : '';
		$exclude_groups = !empty($exclude_groups) ? array_map('trim', explode(',', $exclude_groups)) : array();
		
		foreach($options as $i => $option)
		{
			$groupId = $option->value;
			
			$site_login = JAccess::checkGroup($groupId, 'core.login.site');
			$admin_login = JAccess::checkGroup($groupId, 'core.login.admin');
			$superadmin = JAccess::checkGroup($groupId, 'core.admin');
			
			if(in_array('superadmin', $exclude_groups) && $superadmin)
			{
				unset($options[$i]);
			}
			if(in_array('guest', $exclude_groups) && empty($site_login) && empty($admin_login) && empty($superadmin))
			{
				unset($options[$i]);
			}
		}
		
		reset($options);
		
		return $options;
	}
}
