<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('JPATH_BASE') or die;

require_once JPATH_ADMINISTRATOR . '/components/com_smartsub/helpers/smartsub.php';

JFormHelper::loadFieldClass('list');

class JFormFieldPaymentSystem extends JFormFieldList
{
	
	protected $type = 'PaymentSystem';

	protected function getOptions()
	{
		$payment_systems = SmartsubHelper::getPaymentMethodNames();
		
		$options = array();
		foreach($payment_systems as $system => $title)
		{
			$option = new stdClass();
			$option->value = $system;
			$option->text = $title;
			$options[] = $option;
		}
		
		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
