CREATE TABLE IF NOT EXISTS `#__ss_accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(256) NOT NULL,
  `alias` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `group_id` int(11) NOT NULL DEFAULT '2',
  `amount` decimal(8,2) NOT NULL DEFAULT '0.00',
  `currencyID` char(3) NOT NULL DEFAULT 'EUR',
  `valid_period` smallint(6) NOT NULL DEFAULT '0',
  `valid_period_unit` enum('hour','day','week','month','year') NOT NULL DEFAULT 'year',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` varchar(2048) NOT NULL DEFAULT '',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `#__ss_accounts` (`id`, `title`, `alias`, `group_id`, `amount`, `currencyID`, `valid_period`, `valid_period_unit`, `checked_out`, `checked_out_time`, `description`, `access`, `params`, `published`, `is_default`, `ordering`) VALUES
(1, 'Free', 'free', 2, '0.00', 'EUR', 0, 'year', 0, '0000-00-00 00:00:00', '<p>Free membership</p>', 1, '{"discount_unused_time":"-1","discount_on_downgrade":"-1","lock_expires_on_upgrade":"-1"}', 1, 1, 1);

CREATE TABLE IF NOT EXISTS `#__ss_payments` (
`id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `account_id` int(11) NOT NULL,
  `expires` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `date` datetime NOT NULL,
  `amount` decimal(8,2) NOT NULL,
  `discount` decimal(8,2) NOT NULL DEFAULT '0.00',
  `upgrade_from` int(11) NOT NULL DEFAULT '0',
  `currencyID` char(3) NOT NULL,
  `system` varchar(32) NOT NULL,
  `task` enum('register','profile','preaccess','expired','block') NOT NULL,
  `offline` tinyint(1) NOT NULL DEFAULT '1',
  `status` enum('paid','pending','error','archived') NOT NULL DEFAULT 'pending',
  `transactionID` varchar(64) NOT NULL DEFAULT '',
  `extra_info` varchar(2048) DEFAULT '',
  `error_code` varchar(64) NOT NULL DEFAULT '',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;