<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('_JEXEC') or die;

class SmartsubViewAccount extends JViewLegacy
{
	protected $state;

	protected $item;

	protected $form;

	public function display($tpl = null)
	{
		$this->state	= $this->get('State');
		$this->item		= $this->get('Item');
		$this->form		= $this->get('Form');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$this->addToolbar();
		
		JFactory::getDocument()->addScript(JUri::base() . 'components/com_smartsub/models/fields/validperiod.js');
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);

		$user		= JFactory::getUser();
		$isNew		= ($this->item->id == 0);
		$checkedOut	= !($this->item->checked_out == 0 || $this->item->checked_out == $user->get('id'));

		// Since we don't track these assets at the item level, use the category id.
		$canDo		= JHelperContent::getActions('com_smartsub');

		JToolbarHelper::title(JText::_('COM_SMARTSUB_MANAGER_ACCOUNT'), 'account smartsub');

		// If not checked out, can save the item.
		if (!$checkedOut && $canDo->get('core.edit'))
		{
			JToolbarHelper::apply('account.apply');
			JToolbarHelper::save('account.save');
		}
		if (!$checkedOut && $canDo->get('core.create'))
		{
			JToolbarHelper::save2new('account.save2new');
		}
		// If an existing item, can save to a copy.
		if (!$isNew && $canDo->get('core.create'))
		{
			JToolbarHelper::save2copy('account.save2copy');
		}
		if (empty($this->item->id))
		{
			JToolbarHelper::cancel('account.cancel');
		}
		else
		{
			JToolbarHelper::cancel('account.cancel', 'JTOOLBAR_CLOSE');
		}

		//JToolbarHelper::divider();
		//JToolbarHelper::help('JHELP_COMPONENTS_SMARTSUB_ACCOUNT_EDIT');
	}
}
