<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/helpers/html');

JHtml::_('behavior.formvalidation');

JHtml::_('smartsubbehavior.customvalidation');
JHtml::_('smartsubbehavior.customreplace');

JHtml::_('formbehavior.chosen', 'select');

$params = $this->state->get('params');
$currency = $params->get('default_currency', 'EUR');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'payment.cancel' || document.formvalidator.isValid(document.id('payment-form'))) {
			Joomla.submitform(task, document.getElementById('payment-form'));
		}
	};
</script>

<form action="<?php echo JRoute::_('index.php?option=com_smartsub&view=payment&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="payment-form" class="form-validate">

	<?php echo JLayoutHelper::render('joomla.edit.title_alias', $this); ?>

	<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'details')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'details', JText::_('COM_SMARTSUB_EDIT_PAYMENT', true)); ?>
		<div class="row-fluid">
			<div class="span9">
				<div class="form-horizontal">
					<?php echo $this->form->renderField('id'); ?>
					<?php echo $this->form->renderField('account_id'); ?>
					<?php echo $this->form->renderField('expires'); ?>
					<div class="control-group">
						<div class="control-label"><?php echo $this->form->getLabel('amount'); ?></div>
						<div class="controls"><?php echo $this->form->getInput('amount'); ?> <?php echo $this->form->getInput('currencyID'); ?></div>	
					</div>
					<?php echo $this->form->renderField('payment_method'); ?>
					<?php echo $this->form->renderField('transactionID'); ?>
					<?php echo $this->form->renderField('extra_info'); ?>
				</div>
			</div>
			<div class="span3">
				<div class="form-vertical">
					<?php echo $this->form->renderField('user_id'); ?>
					<?php echo $this->form->renderField('date'); ?>
					<?php echo $this->form->renderField('status'); ?>

					<?php echo $this->form->renderField('offline'); ?>
				</div>
			</div>
		</div>
		<?php echo JHtml::_('bootstrap.endTab'); ?>

		<?php //echo JLayoutHelper::render('joomla.edit.params', $this); ?>

		<?php echo JHtml::_('bootstrap.endTabSet'); ?>

	</div>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
