<?php
/**
 * @package Smartsub (Smart Subscriptions) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/smartsub.php';

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

$payment_systems = SmartsubHelper::getPaymentMethodNames();

?>
<script type="text/javascript">
	Joomla.orderTable = function()
	{
		table = document.getElementById("sortTable");
		direction = document.getElementById("directionTable");
		order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $listOrder; ?>')
		{
			dirn = 'asc';
		}
		else
		{
			dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>
<style>
	td.text-right {
		text-align: right;
	}
</style>
<form action="<?php echo JRoute::_('index.php?option=com_smartsub&view=payments'); ?>" method="post" name="adminForm" id="adminForm">
<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
		<?php echo JLayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
			<table class="table table-striped" id="paymentList">
				<thead>
					<tr>
						<th width="1%" class="hidden-phone">
							<?php echo JHtml::_('grid.checkall'); ?>
						</th>
						<th width="10%" class="nowrap center">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_PAYMENTS_HEADING_DATE', 'a.date', $listDirn, $listOrder); ?>
						</th>
						<th width="1%" class="nowrap center">
							<?php echo JHtml::_('searchtools.sort', 'JSTATUS', 'a.status', $listDirn, $listOrder); ?>
						</th>
						<th width="20%" class="nowrap">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_PAYMENTS_HEADING_USER', 'u.name', $listDirn, $listOrder); ?>
						</th>
						<th class="title">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_ACCOUNTS_HEADING_ACCOUNT', 'ac.title', $listDirn, $listOrder); ?>
						</th>
						<th width="10%" class="nowrap hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_ACCOUNTS_HEADING_ACCOUNT_EXPIRES', 'a.expires', $listDirn, $listOrder); ?>
						</th>
						<th width="5%" class="nowrap center hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_ACCOUNTS_HEADING_AMOUNT', 'a.amount', $listDirn, $listOrder); ?>
						</th>
						<th width="5%" class="nowrap center hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_ACCOUNTS_HEADING_CURRENCYID', 'a.currencyID', $listDirn, $listOrder); ?>
						</th>
						<th width="15%" class="nowrap center hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'COM_SMARTSUB_ACCOUNTS_HEADING_SYSTEM', 'a.system', $listDirn, $listOrder); ?>
						</th>
						<th width="1%" class="nowrap center hidden-phone">
							<?php echo JHtml::_('searchtools.sort', 'JGRID_HEADING_ID', 'a.id', $listDirn, $listOrder); ?>
						</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="10">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
				<tbody>
				<?php foreach ($this->items as $i => $item) :
					$canEdit    = $user->authorise('core.edit', 'com_smartsub');
					$canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $user->get('id') || $item->checked_out == 0;
					$canChange  = $user->authorise('core.edit.state', 'com_smartsub') && $canCheckin;
					?>
					<tr class="row<?php echo $i % 2; ?>">
						<td class="center hidden-phone">
							<?php echo JHtml::_('grid.id', $i, $item->id); ?>
						</td>
						<td class="center">
							<?php echo JHtml::date($item->date, JText::_('COM_SMARTSUB_DATE_TIME_FORMAT')); ?>
						</td>
						<td class="small center">
							<?php echo JText::_('COM_SMARTSUB_PAYMENT_STATUS_' . $item->status); ?>
						</td>
						<td class="nowrap">
							<?php echo $this->escape($item->user_name); ?>
							<div class="small"><?php echo $this->escape($item->user_login); ?></div>
						</td>
						<td class="nowrap has-context">
							<?php if ($item->checked_out) : ?>
								<?php echo JHtml::_('jgrid.checkedout', $i, $item->editor, $item->checked_out_time, 'payments.', $canCheckin); ?>
							<?php endif; ?>
							<?php if ($canEdit) : ?>
								<a href="<?php echo JRoute::_('index.php?option=com_smartsub&task=payment.edit&id='.(int) $item->id); ?>">
									<?php echo $this->escape($item->account_title); ?></a>
							<?php else : ?>
									<?php echo $this->escape($item->account_title); ?>
							<?php endif; ?>
							<?php if(!empty($item->upgrade_from_account) && !empty($item->upgrade_from) && $item->upgrade_from != $item->account_id) : ?>
								<div class="small"><?php echo JText::sprintf('COM_SMARTSUB_PAYMENT_UPGRADE_FROM', $item->upgrade_from_account); ?></div>
							<?php endif; ?>
						</td>
						<td class="small hidden-phone">
							<?php if(empty($item->expires) || intval($item->expires) == 0) : ?>
								<?php echo JText::_('COM_SMARTSUB_ACCOUNT_EXPIRES_NEVER'); ?>
							<?php else : ?>
								<?php echo JHtml::date($item->expires, JText::_('COM_SMARTSUB_DATE_TIME_FORMAT')); ?>
							<?php endif; ?>
						</td>
						<td class="hidden-phone text-right nowrap">
							<?php echo $this->escape(SmartsubHelper::formatFloatNumber($item->amount)); ?>
							<?php if($item->discount > 0) : ?>
								<div class="small">-<?php echo $this->escape(SmartsubHelper::formatFloatNumber($item->discount)); ?></div>
							<?php  endif; ?>
						</td>
						<td class="hidden-phone">
							<?php echo $this->escape($item->currencyID); ?>
						</td>
						<td class="small hidden-phone">
							<div class="small"><?php echo JText::_('COM_SMARTSUB_PAYMENTS_TASK_' . $item->task); ?></div>
							<?php if(isset($payment_systems[$item->system])) : ?>
								<?php echo $this->escape($payment_systems[$item->system]); ?>
							<?php else : ?>
								<?php echo $this->escape($item->system); ?>
							<?php endif; ?>
							<?php if(!empty($item->transactionID)) : ?>
								<div class="small"><?php echo $this->escape($item->transactionID); ?></div>
							<?php endif; ?>
						</td>
						<td class="center hidden-phone">
							<?php echo (int) $item->id; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php endif; ?>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
