<?php
/**
 * @package plg_system_smartsub (Smart Subscriptions System plugin - readmore ALC) for Joomla 3
 * @version 1.0
 * @author Alex Polonski
 * @copyright (C)2014 - Alex Polonski
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
// No direct access.
defined('_JEXEC') or die;

class plgSystemSmartsub extends JPlugin
{
	protected $autoloadLanguage = true;
	
	public function onContentPrepareForm($form, $data)
	{
		// For now we only inject language fieldsets in backend, Smart Subscriptions
		// "read more" access property will not be available in article frontend
		// edit form
		if(JFactory::getApplication()->isSite()) {
			return true;
		}
		
		// Check we have a form
		if(!($form instanceof JForm)) {
			$this->_subject->setError('JERROR_NOT_A_FORM');
			return false;
		}

		// Get form name
		$name = $form->getName();
		if($name != 'com_content.article')
		{
			return true;
		}

		$fieldset = '
				<form>
					<fields name="attribs">
						<fieldset
								name="smartsub"
								label="PLG_SYSTEM_SMARTSUB_FIELDSET_LABEL"
								description="PLG_SYSTEM_SMARTSUB_FIELDSET_DESC">
							<field name="fulltext_access" type="accesslevel" label="PLG_SYSTEM_SMARTSUB_FULLTEXT_ACCESS_LABEL"
								description="PLG_SYSTEM_SMARTSUB_FULLTEXT_ACCESS_DESC" size="1" class="input-xlarge" default="">
				
								<option value="">PLG_SYSTEM_SMARTSUB_SELECT_READMORE_ACCESS</option>
							</field>
						</fieldset>
					</fields>
				</form>
		';
		
		// inject fieldset into the form
		$form->load($fieldset, true);
		
		return true;
	}
}